# major is the part of the library name after the .so
%define major     8
%define libname   %mklibname %{name} %{major}
%define develname %mklibname %{name} -d

Name:           movit
Summary:        GPU effects library using OpenGL3
Version:        1.7.1
Release:        %mkrel 1
Group:          System/Libraries
License:        LGPLv2+ and GPLv2+
Url:            https://movit.sesse.net/
Source0:        https://movit.sesse.net/%{name}-%{version}.tar.gz

BuildRequires:  pkgconfig(egl)
BuildRequires:  pkgconfig(eigen3)
BuildRequires:  pkgconfig(epoxy)
BuildRequires:  pkgconfig(gtest)
BuildRequires:  pkgconfig(fftw3)
BuildRequires:  pkgconfig(sdl2)

%description
Movit is the Modern Video Toolkit, notwithstanding that anything that's
called “modern” usually isn't, and it's really not a toolkit.

Movit aims to be a _high-quality_, _high-performance_, _open-source_
library for video filters.

%package -n     %{libname}
Summary:        Main library for Movit
Group:          System/Libraries
Provides:       %{name} = %{version}-%{release}
Obsoletes:      %mklibname movit 5

%description -n %{libname}
This package contains the library needed to run programs dynamically
linked with Movit.

%package -n     %{develname}
Summary:        Headers for developing programs that will use Movit
Group:          Development/C++
Requires:       %{libname} = %{version}
Provides:       %{name}-devel = %{version}-%{release}

%description -n %{develname}
This package contains the headers that programmers will need to develop
applications which will use Movit.

%prep
%setup -q

%build
%configure \
       --disable-static
%make_build

%install
%make_install

#fix version
sed -i -e 's|\(Version: \).*|\1%{version}|g' %{buildroot}%{_libdir}/pkgconfig/movit.pc

#remove .a and .la files according to Mageia Policy
find %{buildroot} -name "*.la" -delete

#libs should be 755 for proper -debuginfo extraction
chmod 755 %{buildroot}%{_libdir}/*.so

%files -n %{libname}
%doc NEWS README
%{_libdir}/lib%{name}.so.%{major}{,.*}

%files -n %{develname}
%{_includedir}/%{name}/
%{_libdir}/*.so
%{_libdir}/pkgconfig/movit.pc


%changelog
* Mon May 06 2024 daviddavid <daviddavid> 1.7.1-1.mga10
+ Revision: 2062537
- new version: 1.7.1

* Sun Apr 03 2022 umeabot <umeabot> 1.6.3-3.mga9
+ Revision: 1841588
- Mageia 9 Mass Rebuild

* Sat Feb 15 2020 umeabot <umeabot> 1.6.3-2.mga8
+ Revision: 1527989
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Fri Aug 02 2019 zezinho <zezinho> 1.6.3-1.mga8
+ Revision: 1426899
- new version 1.6.3

* Sun Sep 23 2018 umeabot <umeabot> 1.6.2-2.mga7
+ Revision: 1299603
- Mageia 7 Mass Rebuild

* Thu Mar 22 2018 zezinho <zezinho> 1.6.2-1.mga7
+ Revision: 1211248
- new version 1.6.2

* Tue Feb 27 2018 daviddavid <daviddavid> 1.6.1-2.mga7
+ Revision: 1205473
- fix conflicting files

* Fri Feb 23 2018 zezinho <zezinho> 1.6.1-1.mga7
+ Revision: 1204372
- new version 1.6.1

* Sun Nov 26 2017 zezinho <zezinho> 1.5.3-2.mga7
+ Revision: 1179432
- add obsoletes to proper upgrade from MGA6

* Sat Nov 04 2017 zezinho <zezinho> 1.5.3-1.mga7
+ Revision: 1175961
- new version

* Tue Jan 31 2017 barjac <barjac> 1.4.0-5.mga6
+ Revision: 1084307
- Rebuild for eigen3

* Fri Jan 27 2017 wally <wally> 1.4.0-4.mga6
+ Revision: 1083634
- fix version in pkgconfig .pc file

* Sun Jan 22 2017 daviddavid <daviddavid> 1.4.0-3.mga6
+ Revision: 1083022
- fix ownership of include dir
- no need to call autoreconf
+ wally <wally>
- use modern rpm macros and simplify .spec a bit

* Sun Jan 22 2017 zezinho <zezinho> 1.4.0-2.mga6
+ Revision: 1082878
- fix lib paths
- fix lib perms
- add group for SRPM
- imported package movit

